They compile for me on VS 2005 and I do not have 2008. What error you get ?